# Class Resource

java.lang.Object
org.daypilot.data.Resource

public class Resource extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Resource`
  `ROOT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Resource()`
  `Resource(String name, String value)`
  `Resource(String value, String name, boolean childrenLoaded)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Resource`
  `fromJSON(JSONObject input)`
  `ResourceCollection`
  `getChildren()`
  `List<ResourceColumn>`
  `getColumns()`
  `JSONArray`
  `getColumnsJSON()`
  `String`
  `getName()`
  `String`
  `getToolTip()`
  `String`
  `getValue()`
  `boolean`
  `isChildrenLoaded()`
  `boolean`
  `isExpanded()`
  `void`
  `setChildrenLoaded(boolean childrenLoaded)`
  `void`
  `setExpanded(boolean expanded)`
  `void`
  `setName(String name)`
  `void`
  `setToolTip(String toolTip)`
  `void`
  `setValue(String value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ROOT

    public static final Resource ROOT

- ## Constructor Details

  - ### Resource

    public Resource()

  - ### Resource

    public Resource(String name, String value)

  - ### Resource

    public Resource(String value, String name, boolean childrenLoaded)

- ## Method Details

  - ### getColumnsJSON

    public JSONArray getColumnsJSON()

  - ### fromJSON

    public static Resource fromJSON(JSONObject input)

  - ### getValue

    public String getValue()

  - ### setValue

    public void setValue(String value)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getToolTip

    public String getToolTip()

  - ### setToolTip

    public void setToolTip(String toolTip)

  - ### getChildren

    public ResourceCollection getChildren()

  - ### isExpanded

    public boolean isExpanded()

  - ### setExpanded

    public void setExpanded(boolean expanded)

  - ### isChildrenLoaded

    public boolean isChildrenLoaded()

  - ### setChildrenLoaded

    public void setChildrenLoaded(boolean childrenLoaded)

  - ### getColumns

    public List<ResourceColumn> getColumns()